Đến nội dung


Hình ảnh
- - - - -

[Hỏi] Lỗi của cad khi chạy lsp


  • Please log in to reply
5 replies to this topic

#1 18011985

18011985

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 255 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 17 August 2011 - 06:50 PM

Mình chạy lsp thì vẫn ra kết quả
Nhưng cad lại báo lỗi sau:
Application ERROR: Invalid type sent as command input
Khi kiểm tra lại thì thấy nó báo lỗi ở dòng:
(setq ssarea (ssget "X" (list(cons 0 "REGION")(cons 8 "areatest"))))
*****(vl-cmdf "change" ssarea "" "p" "la" "areatest1" "")
Nhưng khi mình tách cụm này ra khỏi lsp để test thì chẳng sao nên không hiểu đâu mà lần bạn nào từng gặp vụ này chỉ dùm.
  • 0
Trăng 16 trăng tròn
Em 16 bụng ... như trăng

Hướng dẫn sử dụng diễn đàn:
Để cảm ơn hay bài viết có ích: Ấn dấu + cuối bài.
Không vừa lòng hay bài spam: Ấn dấu - cuối bài.

#2 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 17 August 2011 - 06:59 PM

Mình chạy lsp thì vẫn ra kết quả
Nhưng cad lại báo lỗi sau:
Application ERROR: Invalid type sent as command input
Khi kiểm tra lại thì thấy nó báo lỗi ở dòng:
(setq ssarea (ssget "X" (list(cons 0 "REGION")(cons 8 "areatest"))))
*****(vl-cmdf "change" ssarea "" "p" "la" "areatest1" "")
Nhưng khi mình tách cụm này ra khỏi lsp để test thì chẳng sao nên không hiểu đâu mà lần bạn nào từng gặp vụ này chỉ dùm.

Hề hề hề,
bạn thử xóa các dấu * phía trước hàm (vl-cmdf ....) đi xem sao nhé....
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3 18011985

18011985

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 255 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 18 August 2011 - 07:38 AM

không phải đâu mình quên mất bôi màu dòng chữ đấy nên đánh dấu bằng ***** thôi
  • 0
Trăng 16 trăng tròn
Em 16 bụng ... như trăng

Hướng dẫn sử dụng diễn đàn:
Để cảm ơn hay bài viết có ích: Ấn dấu + cuối bài.
Không vừa lòng hay bài spam: Ấn dấu - cuối bài.

#4 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1431 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 18 August 2011 - 08:01 AM

Mình chạy lsp thì vẫn ra kết quả
Nhưng cad lại báo lỗi sau:
Application ERROR: Invalid type sent as command input
Khi kiểm tra lại thì thấy nó báo lỗi ở dòng:
(setq ssarea (ssget "X" (list(cons 0 "REGION")(cons 8 "areatest"))))
*****(vl-cmdf "change" ssarea "" "p" "la" "areatest1" "")
Nhưng khi mình tách cụm này ra khỏi lsp để test thì chẳng sao nên không hiểu đâu mà lần bạn nào từng gặp vụ này chỉ dùm.

Bạn chạy thử 2 dòng dưới đây :
(setq ssarea nil)
(vl-cmdf "change" ssarea "" "p" "la" "areatest1" "")


kết quả nhận là : Application ERROR: Invalid type sent as command input

Hy vọng bạn tự tìm ra đuợc lỗi ở đâu ?!
  • 2

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 18 August 2011 - 09:28 AM

Vì vl-cmdf định giá đối số trước khi thực hiện lệnh mà, bác cần thêm If vào cho nó nữa
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 18011985

18011985

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 255 Bài viết
Điểm đánh giá: 61 (tàm tạm)

Đã gửi 18 August 2011 - 01:41 PM

Mình biết lỗi đấy xảy ra thế nào rồi cảm ơn các bạn. Nhân tiện mình post đoạn lsp lên các bác chỉ dùm ý tưởng nhé. Mình lập 1 topic khác [Yêu cầu lsp] Tính diện tích. Rất mong được các bạn góp ý.
  • 0
Trăng 16 trăng tròn
Em 16 bụng ... như trăng

Hướng dẫn sử dụng diễn đàn:
Để cảm ơn hay bài viết có ích: Ấn dấu + cuối bài.
Không vừa lòng hay bài spam: Ấn dấu - cuối bài.